Workflows
Get Workflow YAML
Get the current workflow graph serialized as workflow.yml.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use your API key with:
Authorization: Bearer <YOUR_API_KEY>
In: header
Path Parameters
workflow_id*string
Workflow ID
Format
uuidResponse Body
application/yaml
application/json
application/json
curl -X GET "https://api.fastfold.ai/v1/workflows//workflow.yml"version: 1
jobs:
start:
type: start
description: Workflow start point
label: Start
design_spec:
type: input
subType: design_specification_yml
description: Define entities (proteins, ligands, files) and constraints for the design specification. Library item files must be managed via the Library API.
workflowTaskTypeId: input_design_spec_boltzgen_v1
inputPayload:
inputYML: c92a75eeda074fd1a3975220da72595e_design-spec-input-1.yml
inputYMLLibraryItemId: 932243a2-f830-4a98-9009-117f46e2bf4d
files:
- libraryItemId: b7d3fe21-a56b-43fb-a613-71914868bafe
fileName: 75bd9bfef02d4e29a718fe28442dfc4f_5cqg.cif
label: Design Spec
boltzgen:
type: pipeline
subType: boltzgen
description: Boltzgen pipeline with multiple processing steps
workflowTaskTypeId: pipeline_run_boltzgen_v1
inputPayload:
protocolName: protein-anything
numDesigns: 5
budget: 2
label: Boltzgen
end:
type: end
description: End of your workflow
label: End
workflows:
main:
jobs:
- start
- design_spec:
requires:
- start
- boltzgen:
requires:
- design_spec
- end:
requires:
- boltzgen
{
"message": "Workflow not found"
}{
"message": "Workflow not found"
}Last updated on